{
  "name": "frontend",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@googlemaps/js-api-loader": "^1.16.10",
    "@stripe/connect-js": "^3.3.31",
    "@stripe/react-connect-js": "^3.3.31",
    "@stripe/react-stripe-js": "^3.3.1",
    "@stripe/stripe-js": "^5.2.0",
    "@testing-library/dom": "^10.4.0",
    "@testing-library/jest-dom": "^6.6.3",
    "@testing-library/react": "^16.3.0",
    "@testing-library/user-event": "^13.5.0",
    "@types/jest": "^27.5.2",
    "@types/node": "^16.18.126",
    "@types/react": "^19.1.8",
    "@types/react-dom": "^19.1.6",
    "@types/react-router-dom": "^5.3.3",
    "axios": "^1.10.0",
    "bootstrap": "^5.3.7",
    "browser-image-compression": "^2.0.2",
    "react": "^19.1.0",
    "react-datepicker": "^9.1.0",
    "react-dom": "^19.1.0",
    "react-router-dom": "^6.30.1",
    "react-scripts": "^5.0.1",
    "socket.io-client": "^4.8.1",
    "stripe": "^18.4.0",
    "typescript": "^4.9.5",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "start:dev": "dotenv -e .env.dev react-scripts start",
    "start:qa": "dotenv -e .env.qa react-scripts start",
    "start:prod": "dotenv -e .env.prod react-scripts start",
    "build:dev": "dotenv -e .env.dev react-scripts build",
    "build:qa": "dotenv -e .env.qa react-scripts build",
    "build:prod": "dotenv -e .env.prod react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "test:coverage": "react-scripts test --coverage --watchAll=false --maxWorkers=4"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@types/google.maps": "^3.58.1",
    "cross-fetch": "^4.1.0",
    "dotenv-cli": "^9.0.0",
    "msw": "^2.11.2"
  },
  "overrides": {
    "nth-check": "^2.1.1",
    "postcss": "^8.4.31",
    "svgo": "^3.0.0",
    "webpack-dev-server": "^5.2.1"
  }
}
